Subject: linux-next: manual merge of the amdgpu tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 19 Jul 2022 12:00:41 +1000

Hi all,

Today's linux-next merge of the amdgpu tree got a conflict in:

  drivers/gpu/drm/amd/display/Kconfig

between commit:

  d11219ad53dc ("amdgpu: disable powerpc support for the newer display engine")

from Linus' tree and commit:

  3876a8b5e241 ("drm/amd/display: Enable building new display engine with KCOV enabled")

from the amdgpu tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

I have left the "|| PPC64" off the select line still.  Please let me
know if this has been properly tested on PowerPC and I will change
my resolution.

-- 
Cheers,
Stephen Rothwell

diff --cc drivers/gpu/drm/amd/display/Kconfig
index 0ba0598eba20,96cbc87f7b6b..000000000000
--- a/drivers/gpu/drm/amd/display/Kconfig
+++ b/drivers/gpu/drm/amd/display/Kconfig
@@@ -6,7 -6,7 +6,7 @@@ config DRM_AMD_D
  	bool "AMD DC - Enable new display engine"
  	default y
  	select SND_HDA_COMPONENT if SND_HDA_CORE
- 	select DRM_AMD_DC_DCN if X86 && !(KCOV_INSTRUMENT_ALL && KCOV_ENABLE_COMPARISONS)
 -	select DRM_AMD_DC_DCN if (X86 || PPC64)
++	select DRM_AMD_DC_DCN if X86
  	help
  	  Choose this option if you want to use the new display engine
  	  support for AMDGPU. This adds required support for Vega and